import math

n = int(input())
points = [tuple(map(int, input().split())) for _ in range(n)]

def goida(i, j):
    x1, y1 = points[i]
    x2, y2 = points[j]
    return abs(x1 - x2) + abs(y1 - y2)

dist = [[0] * n for _ in range(n)]
for i in range(n):
    for j in range(i + 1, n):
        dist[i][j] = dist[j][i] = goida(i, j)

dp = [[math.inf] * n for _ in range(1 << n)]
for i in range(n):
    dp[1 << i][i] = 0
for mask in range(1 << n):
    for i in range(n):
        if mask & (1 << i):
            for j in range(n):
                if not (mask & (1 << j)):
                    dp[mask | (1 << j)][j] = min(dp[mask | (1 << j)][j], dp[mask][i] + dist[i][j])
result = min(dp[(1 << n) - 1][i] for i in range(n))
print(f"{result:.6f}")
